
Redmine - Feature #1029

Special handling for .diff/.patch attachments

2008-04-09 22:04 - Rocco Stanzione

Status: Closed Start date: 2008-04-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

I suppose it's your webserver's mime type config, but if I click on a diff attached to an issue, the browser thinks it's a binary file and

wants to download it.  Even better than fixing that, I think, would be to treat it specially (like images) and view it in something like the

SCM diff viewer.

Related issues:

Related to Redmine - Feature #1403: Unified Diff download feature Closed 2008-06-07

History

#1 - 2008-04-09 22:07 - Rocco Stanzione

One alternative to special treatment of *.diff and *.patch... what Launchpad does is give you a checkbox to say the attachment is a patch.  This could

also trigger an indicator that someone has attached a resolution to an issue, which could be of use to developers.

#2 - 2008-04-10 00:16 - Jean-Philippe Lang

I suppose it's your webserver's mime type config

 Actually it's not my webserver, download is forced unless the attachment is an image:

source:/trunk/app/controllers/attachments_controller.rb#L26

#3 - 2008-06-14 17:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Diff viewer added in r1516.

Rocco, the simpliest way to tell that an issue is resolved is to mark it as 'Resolved' :-)
